<template>
  <div class="container-main" ref="main">
    <div class="search-hearder" ref="topSearch">
      <!-- <el-form
        :model="queryParams"
        ref="queryForm"
        :inline="true"
        v-show="showSearch"
        label-width="auto"
      >
        <el-form-item label="本级网评指令比例" prop="count1">
          <el-input
            v-model="queryParams.count1"
            placeholder="请输入本级网评指令比例"
            clearable
            size="small"
            @keyup.enter.native="handleQuery"
          />
        </el-form-item>
        <el-form-item label="上级网评指令比例" prop="count2">
          <el-input
            v-model="queryParams.count2"
            placeholder="请输入上级网评指令比例"
            clearable
            size="small"
            @keyup.enter.native="handleQuery"
          />
        </el-form-item>
    

        <el-form-item>
          <el-button
            type="primary"
            icon="el-icon-search"
            size="mini"
            @click="handleQuery"
            >搜索</el-button
          >
          <el-button icon="el-icon-refresh" size="mini" @click="resetQuery"
            >重置</el-button
          >
        </el-form-item>
      </el-form> -->
    </div>
    <div class="layui-table-tool" ref="tableTool">
     <!--
      <el-button
        type="primary"
        size="mini"
        @click="handleAdd()"
        :disabled="isShowAdd"
        v-hasPermi="['tcZz/networkEcology:bjsjwp:add']"
        >新增</el-button
      >
      -->
      <el-button
        type="success"
        size="mini"
        :disabled="single"
        @click="handleUpdate"
        v-hasPermi="['tcZz/networkEcology:bjsjwp:edit']"
        >修改</el-button
      >
      <!--
      <el-button
        type="danger"
        size="mini"
        :disabled="multiple"
        @click="handleDelete"
        v-hasPermi="['tcZz/networkEcology:bjsjwp:remove']"
        >删除</el-button
      >
      -->
      <el-button
        type="warning"
        size="mini"
        :loading="exportLoading"
        @click="handleExport"
        v-hasPermi="['tcZz/networkEcology:bjsjwp:export']"
        >导出</el-button
      >
    </div>
    <el-table
      v-loading="loading"
      :data="bjsjwpList"
      @selection-change="handleSelectionChange"
    >
      <el-table-column type="selection" width="55" align="center" />
      <el-table-column label="本级网评指令比例" align="center" prop="count1" />
      <el-table-column label="上级网评指令比例" align="center" prop="count2" />
      <el-table-column
        label="操作"
        align="center"
        class-name="small-padding fixed-width"
        width="200"
        fixed="right"
      >
        <template slot-scope="scope">
          <el-button
            size="mini"
            @click="handleInfo(scope.row)"
            v-hasPermi="['tcZz/networkEcology:bjsjwp:list']"
          >
            查看
          </el-button>
          <el-button
            type="success"
            size="mini"
            @click="handleUpdate(scope.row)"
            v-hasPermi="['tcZz/networkEcology:bjsjwp:edit']"
            >修改</el-button
          >
          <!--
          <el-button
            size="mini"
            type="danger"
            @click="handleDelete(scope.row)"
            v-hasPermi="['tcZz/networkEcology:bjsjwp:remove']"
            >删除</el-button
          >
           -->
        </template>
      </el-table-column>
    </el-table>

    <pagination
      v-show="total > 0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />

    <!-- 添加或修改本级上级网评指令比例（月）对话框 -->
    <el-dialog
      :visible.sync="open"
      width="500px"
      append-to-body
      custom-class="dialog-box"
    >
      <div slot="title" class="dialog-title">{{ title }}</div>
      <el-form
        ref="form"
        :model="form"
        :rules="rules"
        label-width="auto"
        class="dialog-from"
      >
        <el-form-item label="本级网评指令比例" prop="count1">
          <el-input
            v-model="form.count1"
            type="number"
            placeholder="请输入本级网评指令比例"
          />
        </el-form-item>
        <el-form-item label="上级网评指令比例" prop="count2">
          <el-input
            v-model="form.count2"
            type="number"
            placeholder="请输入上级网评指令比例"
          />
        </el-form-item>
        <el-form-item label="备注" prop="remark">
          <!-- <el-input v-model="form.remark" placeholder="请输入备注" /> -->
          <el-input v-model="form.remark" resize="none" :rows="5" type="textarea" placeholder="请输入备注" />
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
    <!--查看本级上级网评指令比例（月）详情页-->
    <el-dialog
      :visible.sync="infoOpen"
      width="90%"
      append-to-body
      :close-on-click-modal="false"
      :destroy-on-close="true"
      custom-class="dialog-box"
    >
      <div slot="title" class="dialog-title">{{ infoTitle }}</div>

      <el-descriptions
        title="本级上级网评指令比例（月）"
        :column="2"
        border
        labelClassName="desLable"
      >
        <el-descriptions-item label="本级网评指令比例">{{
          form.count1
        }}</el-descriptions-item>

        <el-descriptions-item label="上级网评指令比例">{{
          form.count2
        }}</el-descriptions-item>

        <el-descriptions-item label="备注">{{
          form.remark
        }}</el-descriptions-item>
      </el-descriptions>
    </el-dialog>
  </div>
</template>

<script>
import {
  listBjsjwp,
  getBjsjwp,
  delBjsjwp,
  addBjsjwp,
  updateBjsjwp,
  exportBjsjwp,
  importExcel,
} from "@/api/tcZz/networkEcology/bjsjwp";
export default {
  name: "Bjsjwp",
  //注释字典
  data() {
    return {
      tableHeigth: 0,
      //查看详情
      infoOpen: false,
      //详情标题
      infoTitle: "",
      // 遮罩层
      loading: true,
      // 导出遮罩层
      exportLoading: false,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 本级上级网评指令比例（月）表格数据
      bjsjwpList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 备注时间范围
      daterangeCreateTime: [],
      // 备注时间范围
      daterangeUpdateTime: [],
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        id: null,

        count1: null,

        count2: null,

        createBy: null,

        createTime: null,

        updateBy: null,

        updateTime: null,

        remark: null,
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
        count1:[
          { required: true, message: '请输入本级网评指令比例', trigger: 'blur' },
        ],
        count2:[
          { required: true, message: '请输入上级网评指令比例', trigger: 'blur' },
        ],
      },
      isShowAdd: true,
      fileList:[],
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询本级上级网评指令比例（月）列表 */
    getList() {
      this.loading = true;
      this.queryParams.params = {};
      if (null != this.daterangeCreateTime && "" != this.daterangeCreateTime) {
        this.queryParams.params["beginCreateTime"] =
          this.daterangeCreateTime[0];
        this.queryParams.params["endCreateTime"] = this.daterangeCreateTime[1];
      }
      if (null != this.daterangeUpdateTime && "" != this.daterangeUpdateTime) {
        this.queryParams.params["beginUpdateTime"] =
          this.daterangeUpdateTime[0];
        this.queryParams.params["endUpdateTime"] = this.daterangeUpdateTime[1];
      }
      listBjsjwp(this.queryParams).then((response) => {
        this.bjsjwpList = response.rows;
        if (response.rows.length > 0) this.isShowAdd = true;
        else this.isShowAdd = false;
        this.total = response.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,

        count1: null,

        count2: null,

        createBy: null,

        createTime: null,

        updateBy: null,

        updateTime: null,

        remark: null,
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.daterangeCreateTime = [];
      this.daterangeUpdateTime = [];
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map((item) => item.id);
      this.single = selection.length !== 1;
      this.multiple = !selection.length;
    },
    /**查看按钮操作 */
    handleInfo(row) {
      this.reset();
      const id = row.id || this.ids;
      getBjsjwp(id).then((response) => {
        this.form = response.data;
        this.infoOpen = true;
        this.infoTitle = "查看本级上级网评指令比例（月）详情";
      });
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加本级上级网评指令比例（月）";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const id = row.id || this.ids;
      getBjsjwp(id).then((response) => {
        this.form = response.data;
        this.open = true;
        this.title = "修改本级上级网评指令比例（月）";
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate((valid) => {
        if (valid) {
          if( Number(this.form.count1) + Number(this.form.count2) !== 100 ) {
            this.$modal.msgError("请输入正确比例");
            return
          } else {
            if (this.form.id != null) {
              updateBjsjwp(this.form).then((response) => {
                this.$modal.msgSuccess("修改成功");
                this.open = false;
                this.getList();
              });
            } else {
              addBjsjwp(this.form).then((response) => {
                this.$modal.msgSuccess("新增成功");
                this.open = false;
                this.getList();
              });
            }
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids;
      this.$confirm('是否确认删除编号为"' + ids + '"的数据项?', "警告", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(function () {
          return delBjsjwp(ids);
        })
        .then(() => {
          this.getList();
          this.msgSuccess("删除成功");
        })
        .catch(() => {});
    },
    /** 导出按钮操作 */
    handleExport() {
      const queryParams = this.queryParams;
      this.$confirm(
        "是否确认导出所有本级上级网评指令比例（月）数据项?",
        "警告",
        {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning",
        }
      )
        .then(() => {
          this.download(
            "/tcZz/networkEcology/bjsjwp/export",
            {
              ...this.queryParams,
            },
            "本级上级网评指令比例（月）_" + new Date().getTime() + ".xlsx"
          );
          this.exportLoading = false;
        })
        .catch(() => {});
    },
  },
};
</script>
